.account--card-box {
    margin: 0 auto;
    position: relative;
    display: flex;
    justify-content: center;
    box-shadow: 0 4px 34px #0000001f;
    border-radius: var(--card_radius);
    overflow: hidden;
    flex-direction: column-reverse;
    max-width: 80%;
    width: 100%;
}

.account--left-content {
    background: var(--card_background);
    padding: 30px 25px;
}

.account--right-content {
    padding: 50px 40px;
    flex: 0 0 100%;
    max-width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: relative;
    z-index: 1;
}

.account--right-content:after {
    content: "";
    background: var(--body_alternate_background);
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    z-index: -1;
    opacity: 0.5;
}

.account--right-content .icon--quote {
    display: flex;
    width: 30px;
    height: 30px;
    align-items: center;
    justify-content: center;
    opacity: 0.2;
    margin-left: -20px;
}

.account--right-content .icon--quote.right-quote {
    margin-left: auto;
    margin-right: -10px;
}

.account--text-info {
    padding-top: 20px;
}

div#recover,
#recover:target+#login {
    display: none;
}


/* Account inner pages css start here  */

.account-page .section--header.with--arrow {
    grid-template-columns: 1fr;
    gap: 20px;
}

.main-account--content {
    padding-top: 10px;
}

.order--history {
    background: var(--body_alternate_background);
    border-radius: var(--card_radius);
    padding: 6px;
    padding-bottom: 0!important;
}

.order--history tr th,
.order--history tr td {
    text-align: center;
}

.order--history thead tr th:first-child,
.order--history tbody tr td:first-child {
    text-align: left;
}

.order--history thead tr th:last-child,
.order--history tbody tr td:last-child {
    text-align: right;
}

.order--history thead tr th {
    background: var(--body_background);
    padding: 20px;
    font-size: var(--medium_text);
}

.order--history thead tr th:first-child {
    border-radius: calc(var(--card_radius) / 1.5) 0 0 calc(var(--card_radius) / 1.5);
}

.order--history thead tr th:last-child {
    border-radius: 0 calc(var(--card_radius) / 1.5) calc(var(--card_radius) / 1.5) 0;
}

.order--history tr td {
    padding: 25px 20px;
}

.order--history tbody tr+tr {
    border-top: 1px dashed var(--border_color);
}

.account--detail {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 20px;
}

.account--detail+.account--detail {
    margin-top: 30px;
    padding-top: 30px;
    border-top: 1px dashed var(--text_color);
}

.payment--status {
    background: var(--text_color);
    color: var(--body_background);
    padding: 4px 12px;
    display: inline-block;
    border-radius: 20px;
    font-size: 12px;
    line-height: 1.2;
}

.order--detail-info {
    padding-bottom: 20px;
}

.order--product-item {
    display: grid;
    grid-template-columns: auto 1fr;
    gap: 15px;
    align-items: center;
    width: 300px;
    white-space: normal;
}

.order--product-img {
    width: 70px;
    border-radius: calc(var(--product_card_radius) / 2);
}

.order--product-options {
    margin-top: 5px;
}

.order--summary-item {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.order--summary-item+.order--summary-item {
    margin-top: 10px;
}

.main-address--header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
}

.address--list {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 25px;
    align-items: flex-start;
}

.address--card {
    background: var(--body_alternate_background);
    border-radius: var(--card_radius);
    padding: 6px;
    box-shadow: 0px 12px 14px 0px #0000000D;
}

.address--card-item {
    display: flex;
    flex-direction: column;
}

.address--head {
    padding: 15px 30px;
    background: var(--body_background);
    border-radius: calc( var(--card_radius) / 2);
}

.address--body {
    padding: 20px 30px;
}

.address--body address p {
    margin: 15px 0;
    display: flex;
}

.address--body address p span {
    margin-left: auto;
}

.address--footer {
    padding: 20px 30px;
    border-top: 1px solid var(--border_color);
    margin-top: auto;
}

@media (min-width:768px) {
    .account--right-content {
        flex: 0 0 45%;
        padding: 80px 40px;
    }
    .account--right-content+.account--left-content {
        flex: 0 0 55%;
    }
    .account--card-box {
        flex-direction: row-reverse;
        width: max-content;
        max-width: 90%;
    }
    .logout-text {
        font-size: var(--large_text);
    }
}

@media (min-width:992px) {
    .account--card-box {
        max-width: 850px;
    }
    .account--left-content {
        padding: 30px 45px;
    }
}

@media (min-width:1200px) {
    .account--card-box {
        max-width: 1040px;
    }
    .account--left-content {
        padding: 60px;
        min-width: 500px;
    }
    .account--right-content {
        padding: 100px 60px;
    }
    .account--detail {
        max-width: 90%;
        margin-left: auto;
    }
}

@media (min-width:1441px) {
    .account--detail {
        max-width: 83%;
    }
}

@media (max-width:991px) {
    .account--detail {
        margin-top: 30px;
    }
}

@media (max-width:767px) {
    .address--list {
        grid-template-columns: 1fr;
    }
    .address--head,
    .address--body,
    .address--footer {
        padding: 15px 20px;
    }
    .main-address--header {
        justify-content: flex-end;
        flex-wrap: wrap;
    }
}

@media (max-width:480px) {
    .account--card-box {
        max-width: 95%;
    }
}